QRCodeReader (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.qrcode, class: QRCodeReader

Package com.google.zxing.qrcode

# Class QRCodeReader

java.lang.Object
com.google.zxing.qrcode.QRCodeReader

All Implemented Interfaces:
  `Reader`

Direct Known Subclasses:
  `QRCodeMultiReader`

public class QRCodeReader extends Object implements Reader
This implementation can detect and decode QR Codes in an image.

Author:
  Sean Owen

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QRCodeReader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Result`
  `decode(BinaryBitmap image)`
  Locates and decodes a QR code in an image.
  `final Result`
  `decode(BinaryBitmap image, Map<DecodeHintType,?> hints)`
  Locates and decodes a barcode in some format within an image.
  `protected final Decoder`
  `getDecoder()`
  `void`
  `reset()`
  Resets any internal state the implementation has after a decode, to prepare it for reuse.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QRCodeReader

    public QRCodeReader()

- ## Method Details

  - ### getDecoder

    protected final Decoder getDecoder()

  - ### decode

    public Result decode(BinaryBitmap image) throws NotFoundException, ChecksumException, FormatException
    Locates and decodes a QR code in an image.
    Specified by:
      `decode` in interface `Reader`
    Parameters:
      `image` - image of barcode to decode
    Returns:
      a String representing the content encoded by the QR code
    Throws:
      `NotFoundException` - if a QR code cannot be found
      `FormatException` - if a QR code cannot be decoded
      `ChecksumException` - if error correction fails

  - ### decode

    public final Result decode(BinaryBitmap image, Map<DecodeHintType,?> hints) throws NotFoundException, ChecksumException, FormatException
    Description copied from interface: `Reader`
    Locates and decodes a barcode in some format within an image. This method also accepts hints, each possibly associated to some data, which may help the implementation decode.
    Specified by:
      `decode` in interface `Reader`
    Parameters:
      `image` - image of barcode to decode
      `hints` - passed as a `Map` from `DecodeHintType` to arbitrary data. The meaning of the data depends upon the hint type. The implementation may or may not do anything with these hints.
    Returns:
      String which the barcode encodes
    Throws:
      `NotFoundException` - if no potential barcode is found
      `ChecksumException` - if a potential barcode is found but does not pass its checksum
      `FormatException` - if a potential barcode is found but format is invalid

  - ### reset

    public void reset()
    Description copied from interface: `Reader`
    Resets any internal state the implementation has after a decode, to prepare it for reuse.
    Specified by:
      `reset` in interface `Reader`